## gbp-import-dscs

gbp-import-dscs — Import several versions of a Debian™ source package into a Git repository, sorted by version number

## Synopsis

`gbp import-dscs` [`options`] [`gbp import-dsc options`] `pkg_1.dsc` `pkg_2.dsc` `...`

or

`gbp import-dscs` {--debsnap} [`options`] [`gbp import-dsc options`] {`package`}

## DESCRIPTION

gbp import-dscs imports several versions of a Debian source package into a Git repository. To do so, it sorts the packages by their versions first, and then imports them via calling gbp import-dsc on each package.

If the current directory isn't a Git repository already, the repository is created in a subdir of the current working directory, named after the first imported package, otherwise the Git repository in the current working directory is being used. This allows for incremental imports.

## OPTIONS

`--debsnap` | Fetch snapshots from snapshots.debian.org using debsnap.
`--ignore-repo-config` | Ignore `gbp.conf` files stored in the git repository itself. This can be useful to ignore branch information and other options shipped in the package source.

All other options are passed on verbatim to gbp import-dsc.

## EXAMPLES

When run in an empty directory, download all versions of package entr available at Debian snapshots and import them into a new git repository:

          gbp import-dscs --verbose --pristine-tar --create-missing-branches --debsnap entr

## SEE ALSO

gbp-import-dsc(1), gbp-buildpackage(1), gbp-import-orig(1), gbp-dch(1), gbp.conf(5), debuild(1), git(1), pristine-tar(1), The Git-Buildpackage Manual

## AUTHOR

Guido Günther `<agx@sigxcpu.org>`